Workflows

Start a workflow run

POST
/workflow-runs

Start a run of a published workflow from its manual trigger with an optional instruction, declared inputs and documents. Returns the queued run; poll workflows.runs.get for progress.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128
Idempotency-Key*string

A unique key for this intended write. Reuse it only for an identical retry.

Length1 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/workflow-runs" \  -H "Idempotency-Key: 123e4567-e89b-42d3-a456-426614174000" \  -H "Content-Type: application/json" \  -d '{    "workflow_id": "123e4567-e89b-42d3-a456-426614174000"  }'
{  "id": "123e4567-e89b-42d3-a456-426614174000",  "workflow_id": "123e4567-e89b-42d3-a456-426614174000",  "workflow_name": "Invoice approval",  "space_id": "123e4567-e89b-42d3-a456-426614174000",  "version": {    "id": "123e4567-e89b-42d3-a456-426614174000",    "version": 0  },  "origin": "manual",  "actor_type": "api",  "trigger_id": "123e4567-e89b-42d3-a456-426614174000",  "webhook_id": "123e4567-e89b-42d3-a456-426614174000",  "parent_run_id": "123e4567-e89b-42d3-a456-426614174000",  "trigger_node_id": "example",  "test_node_id": "example",  "status": "ACTIVE",  "error_code": "example",  "error_message": "example",  "error_details": {},  "retry_of": "123e4567-e89b-42d3-a456-426614174000",  "activations_total": 0,  "cost_micro_usd": 0,  "micro_credits": 0,  "requested_by": {    "id": "123e4567-e89b-42d3-a456-426614174000",    "email": "ada@example.com",    "name": "Customer documents",    "image_url": "example"  },  "created_at": "2026-09-04T12:00:00Z",  "started_at": "2026-09-04T12:00:00Z",  "completed_at": "2026-09-04T12:00:00Z",  "wake_at": "2026-09-04T12:00:00Z"}